<% /*
     $Revision$
     $Id$

    File:               autorisatiegroepFilter.inc
    Description:        functies voor autorisatiegroep suggest velden
    Globals:
    Context:
    Note:
*/

function getFiltClauseAutorisatiegroep(pfiltcode, params)
{
  var lfiltClause = "";
  if (pfiltcode && pfiltcode != "")
  {
    switch(pfiltcode)
    {
      // Al mijn eigen groepen zonder underscore prefix
      case "SELF":  lfiltClause = " AND fg.fac_groep_key IN (SELECT fgg.fac_groep_key"
                                + "                            FROM fac_gebruikersgroep fgg"
                                + "                           WHERE fgg.prs_perslid_key = " + user_key + ")"
                                + " AND fg.fac_groep_omschrijving NOT LIKE '\\_%' ESCAPE '\\'";
                    break;
      // Al mijn eigen groepen, ook met underscore prefix
      case "_SELF": lfiltClause = " AND fg.fac_groep_key IN (SELECT fgg.fac_groep_key"
                                + "                            FROM fac_gebruikersgroep fgg"
                                + "                           WHERE fgg.prs_perslid_key = " + user_key + ")";
                    break;
    }
  }
  return lfiltClause;
}

function getExtraInfAutorisatiegroep(pextracode)
{
  var lExtraInf = { selectstr: "", fromstr: "", wherestr: "" };
  if (pextracode && pextracode != "")
  {
    switch(pextracode)
    {
      default: break;
    }
  }
  return lExtraInf;
}
%>
